# Get

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/network-connectivity-configs/{network_connectivity_config_id}/private-endpoint-rules/{private_endpoint_rule_id}`

Gets the private endpoint rule.

API scopes: networking

## Path parameters

- `account_id` (string, optional)
  Your <Databricks> account ID. You can find your account ID in your <Databricks> accounts console.
- `network_connectivity_config_id` (string, optional)
  Your Network Connectvity Configuration ID.
- `private_endpoint_rule_id` (string, optional)
  Your private endpoint rule ID.

## Returns

Returns the NccPrivateEndpointRule object.

## Response

```json
{
  "rule_id": "728c1541-d6d1-4290-9a53-cdf01dd32d60",
  "network_connectivity_config_id": "d6df3889-eefc-4ddb-bbb4-613efcb30035",
  "connection_state": "ESTABLISHED",
  "domain_names": "my-example.exampledomain.com",
  "creation_time": 1691436121706,
  "updated_time": 1691436121777,
  "deactivated": false,
  "deactivated_at": 1691436121706,
  "error_message": "NOT_FOUND: The provided resource \u003cinput-resource\u003e could not be found.",
  "resource_id": "/subscriptions/653bb673-1234-abcd-a90b-d064d5d53ca4/resourcegroups/example-resource-group/providers/Microsoft.Storage/storageAccounts/examplesa",
  "group_id": "blob",
  "endpoint_name": "databricks-088781b3-77fa-4132-b429-1af0d91bc593-pe-3cb31234",
  "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
  "endpoint_service": "com.amazonaws.vpce.us-east-1.vpce-svc-123abcc1298abc123",
  "resource_names": "mybucket1",
  "vpc_endpoint_id": "vpce-02c2bd4e6dcd6c76d",
  "enabled": true,
  "gcp_endpoint": {
    "psc_endpoint_uri": "projects/databricks-egress/regions/us-east4/forwardingRules/1234567890",
    "service_attachment": "projects/my-gcp-project/regions/us-east4/serviceAttachments/my-service-attachment"
  }
}
```

